Project

Profile

Help

Story #6331

closed

[Epic] Add SSL support

Added by bmbouter almost 3 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Assignee:
-
Category:
Installer - Moved to GitHub issues
Sprint/Milestone:
Start date:
Due date:
% Done:

100%

Estimated time:
(Total: 0:00 h)
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

Currently the installer only configures nginx and apache to listen on port 80. Users would benefit from SSL support.

Use cases

  1. Users want to generate a self-signed certificate
  2. Users want to generate a letsencrypt certificate
  3. Users want to supply their own cert and key for the webserver

Subtasks 3 (0 open3 closed)

Story #6845: As an installer user, I can configure Pulp to run with TLS enabled using certificates I provideCLOSED - CURRENTRELEASE

Actions
Story #6846: As an installer user, I can configure Pulp to run with TLS enabled to install/renew using letsencrypt certificatesCLOSED - CURRENTRELEASE

Actions
Story #6847: As an installer user, I can configure Pulp to run with TLS enabled using self-signed certificatesCLOSED - CURRENTRELEASE

Actions
Actions #1

Updated by bmbouter over 2 years ago

  • Category set to Installer - Moved to GitHub issues
  • Tags deleted (Pulp 3 installer)
Actions #2

Updated by bmbouter over 2 years ago

  • Subject changed from As a user, the installer generates self-signed, or letsencrypt certs and configures nginx and apache to use them to [Epic] Add SSL support
Actions #3

Updated by pulpbot over 2 years ago

  • Status changed from NEW to POST
Actions #4

Updated by mdepaulo@redhat.com over 2 years ago

  • Status changed from POST to MODIFIED
Actions #5

Updated by ttereshc over 2 years ago

  • Sprint/Milestone set to 3.8.0
Actions #6

Updated by ttereshc over 2 years ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Also available in: Atom PDF